WordPress3.7升级需要注意的几个问题

最新的WordPress 3.7版本增加了自动更新升级、推广强密码功能及本地化更准确,但是升级的时候我们需要注意几个问题:

第一,人工手工升级
最新的WordPress 3.7升级之后会添加自动升级包,以后就是直接升级了,这类功能对于拥有站群的站长来说是非常有用的,在官方发布最新版本之后可以第一时间升级。但是并不是最新的版本都是完美的,很多时候会出现不兼容问题等,所以cnjoel建议大家不要用这个功能,可以在wp-config.php文件下添加
define( ‘AUTOMATIC_UPDATER_DISABLED’, true );
禁止自动升级,以后有新版本的话就人工选择是否更新。

第二,兼容问题。
我建议在本地升级测试之后,或者备份文件之后再升级,不要太迷信官方的最新版本兼容性。

第三,编辑问题
在升级版本之后会出现theme-editor.php的警告提示,这是开始版本的问题,目前已经修复。

第三,权限问题
如果是用VPS主机的可能由于权限问题导致下载不到最新安装包,那需要我们设置目录权限。

未经允许不得转载:CnJoel博客 » WordPress3.7升级需要注意的几个问题